Package org.eclipse.cdt.core.dom.ast

## Interface IASTProblemHolder

All Known Subinterfaces:
  `IASTProblemDeclaration`, `IASTProblemExpression`, `IASTProblemStatement`, `IASTProblemTypeId`

    public interface IASTProblemHolder

This interface represents a base interface to represent a problem owner or holder.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ASTNodeProperty` `PROBLEM` `PROBLEM` represents the relationship between a `IASTProblemHolder` and its `IASTProblem`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTProblem` `getProblem()` Get the problem.
`void` `setProblem​(IASTProblem p)` Set the problem.

### Field Detail

#### PROBLEM

    static final ASTNodeProperty PROBLEM

`PROBLEM` represents the relationship between a `IASTProblemHolder` and its `IASTProblem`.

### Method Detail

#### getProblem

    IASTProblem getProblem()

Get the problem.

Returns:
  `IASTProblem`

#### setProblem

    void setProblem​(IASTProblem p)

Set the problem.

Parameters:
  `p` - `IASTProblem`